From 2e175383bfe010c05c55fb19e29b5c0665229a9c Mon Sep 17 00:00:00 2001
From: Frederic Cambus <fred@statdns.com>
Date: Fri, 20 Jan 2023 10:46:37 +0000
Subject: [PATCH] Add OpenBSD ARM GAS support.

---
 gas/ChangeLog     | 4 ++++
 gas/configure.tgt | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

diff --git a/gas/ChangeLog b/gas/ChangeLog
index 58f807f45f2..33fb721c7c4 100644
--- a/gas/ChangeLog
+++ b/gas/ChangeLog
@@ -1,3 +1,7 @@
+2023-01-20  Frederic Cambus  <fred@statdns.com>
+
+	* configure.tgt (arm-*-openbsd*): Add target.
+
 2023-01-16  Nick Clifton  <nickc@redhat.com>
 
 	* po/ru.po: Updated Russian translation.
diff --git a/gas/configure.tgt b/gas/configure.tgt
index b7a1874781f..5fb7d880122 100644
--- a/gas/configure.tgt
+++ b/gas/configure.tgt
@@ -159,7 +159,7 @@ case ${generic_target} in
   arm-*-uclinux*eabi*)			fmt=elf  em=armlinuxeabi ;;
   arm-*-uclinux*)			fmt=elf  em=linux ;;
   arm-*-nacl*)				fmt=elf  em=nacl ;;
-  arm-*-netbsd*)			fmt=elf  em=nbsd ;;
+  arm-*-netbsd* | arm-*-openbsd*)	fmt=elf  em=nbsd ;;
   arm-*-nto*)				fmt=elf ;;
   arm-wince-pe | arm-*-wince | arm*-*-mingw32ce* | arm*-*-cegcc*)
 					fmt=coff em=wince-pe ;;
-- 
2.39.0

